<?php
/**
 * @file
 * ocio_media.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_media_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "file_entity" && $api == "file_default_displays") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_file_default_displays_alter().
 */
function ocio_media_file_default_displays_alter(&$data) {
  if (isset($data['audio__preview__file_field_file_default'])) {
    $data['audio__preview__file_field_file_default']->weight = -45; /* WAS: 50 */
  }
  if (isset($data['audio__preview__file_field_media_large_icon'])) {
    $data['audio__preview__file_field_media_large_icon']->weight = -46; /* WAS: 49 */
  }
  if (isset($data['document__preview__file_field_file_default'])) {
    $data['document__preview__file_field_file_default']->weight = -46; /* WAS: 50 */
  }
  if (isset($data['document__preview__file_field_media_large_icon'])) {
    $data['document__preview__file_field_media_large_icon']->weight = -47; /* WAS: 49 */
  }
  if (isset($data['image__default__file_field_file_default'])) {
    $data['image__default__file_field_file_default']->status = FALSE; /* WAS: TRUE */
  }
  if (isset($data['image__preview__file_field_file_default'])) {
    $data['image__preview__file_field_file_default']->status = FALSE; /* WAS: TRUE */
    $data['image__preview__file_field_file_default']->weight = -46; /* WAS: 50 */
  }
  if (isset($data['image__preview__file_field_image'])) {
    $data['image__preview__file_field_image']->settings['image_style'] = 'media_thumbnail'; /* WAS: 'thumbnail' */
    $data['image__preview__file_field_image']->weight = -48; /* WAS: 49 */
  }
  if (isset($data['image__preview__file_field_media_large_icon'])) {
    $data['image__preview__file_field_media_large_icon']->weight = -47; /* WAS: 49 */
  }
  if (isset($data['video__default__media_vimeo_video'])) {
    $data['video__default__media_vimeo_video']->settings['protocol'] = '//'; /* WAS: 'https://' */
    $data['video__default__media_vimeo_video']->settings['protocol_specify'] = FALSE; /* WAS: 0 */
  }
  if (isset($data['video__default__media_youtube_video'])) {
    $data['video__default__media_youtube_video']->settings['modestbranding'] = 1; /* WAS: 0 */
  }
  if (isset($data['video__preview__file_field_file_default'])) {
    $data['video__preview__file_field_file_default']->status = FALSE; /* WAS: TRUE */
    $data['video__preview__file_field_file_default']->weight = -41; /* WAS: 50 */
  }
  if (isset($data['video__preview__file_field_media_large_icon'])) {
    $data['video__preview__file_field_media_large_icon']->weight = -42; /* WAS: 49 */
  }
  if (isset($data['video__preview__media_vimeo_image'])) {
    $data['video__preview__media_vimeo_image']->settings['image_style'] = 'panopoly_image_thumbnail'; /* WAS: 'media_thumbnail' */
    $data['video__preview__media_vimeo_image']->weight = -48; /* WAS: 0 */
  }
  if (isset($data['video__preview__media_youtube_image'])) {
    $data['video__preview__media_youtube_image']->settings['image_style'] = 'panopoly_image_thumbnail'; /* WAS: 'media_thumbnail' */
    $data['video__preview__media_youtube_image']->weight = -49; /* WAS: 0 */
  }
}

/**
 * Implements hook_file_default_types_alter().
 */
function ocio_media_file_default_types_alter(&$data) {
  if (isset($data['audio'])) {
    $data['audio']->disabled = FALSE; /* WAS: '' */
  }
  if (isset($data['document'])) {
    $data['document']->disabled = FALSE; /* WAS: '' */
  }
  if (isset($data['image'])) {
    $data['image']->disabled = FALSE; /* WAS: '' */
  }
  if (isset($data['video'])) {
    $data['video']->disabled = FALSE; /* WAS: '' */
  }
}

/**
 * Implements hook_views_default_views_alter().
 */
function ocio_media_views_default_views_alter(&$data) {
  if (isset($data['media_default'])) {
    $data['media_default']->display['default']->display_options['filters']['field_file_tags_tid'] = array(
      'id' => 'field_file_tags_tid',
      'table' => 'field_data_field_file_tags',
      'field' => 'field_file_tags_tid',
      'exposed' => TRUE,
      'expose' => array(
        'operator_id' => 'field_file_tags_tid_op',
        'label' => 'Tag',
        'operator' => 'field_file_tags_tid_op',
        'identifier' => 'field_file_tags_tid',
        'remember_roles' => array(
          2 => 2,
          1 => 0,
          5 => 0,
          4 => 0,
          7 => 0,
          6 => 0,
          3 => 0,
        ),
      ),
      'type' => 'select',
      'vocabulary' => 'wcm_file_tags',
    ); /* WAS: '' */
    $data['media_default']->display['media_browser_my_files']->display_options['filters']['field_file_tags_tid'] = array(
      'id' => 'field_file_tags_tid',
      'table' => 'field_data_field_file_tags',
      'field' => 'field_file_tags_tid',
      'exposed' => TRUE,
      'expose' => array(
        'operator_id' => 'field_file_tags_tid_op',
        'label' => 'Tag',
        'operator' => 'field_file_tags_tid_op',
        'identifier' => 'field_file_tags_tid',
        'remember_roles' => array(
          2 => 2,
          1 => 0,
          5 => 0,
          4 => 0,
          7 => 0,
          6 => 0,
          3 => 0,
        ),
      ),
      'type' => 'select',
      'vocabulary' => 'wcm_file_tags',
    ); /* WAS: '' */
  }
}
