<?php
/**
 * @file
 * wcm_user_profile.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function wcm_user_profile_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'user|user|full';
  $ds_fieldsetting->entity_type = 'user';
  $ds_fieldsetting->bundle = 'user';
  $ds_fieldsetting->view_mode = 'full';
  $ds_fieldsetting->settings = array(
    'email' => array(
      'weight' => '2',
      'label' => 'hidden',
      'format' => 'default',
    ),
  );
  $export['user|user|full'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_custom_fields_info().
 */
function wcm_user_profile_ds_custom_fields_info() {
  $export = array();

  $ds_field = new stdClass();
  $ds_field->api_version = 1;
  $ds_field->field = 'email';
  $ds_field->label = 'Email';
  $ds_field->field_type = 5;
  $ds_field->entities = array(
    'user' => 'user',
  );
  $ds_field->ui_limit = '';
  $ds_field->properties = array(
    'code' => array(
      'value' => '<a href="mailto:[user:mail]">[user:mail]</a>',
      'format' => 'ds_code',
    ),
    'use_token' => 1,
  );
  $export['email'] = $ds_field;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function wcm_user_profile_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'user|user|form';
  $ds_layout->entity_type = 'user';
  $ds_layout->bundle = 'user';
  $ds_layout->view_mode = 'form';
  $ds_layout->layout = 'ds_2col_stacked';
  $ds_layout->settings = array(
    'regions' => array(
      'left' => array(
        0 => 'account',
      ),
      'right' => array(
        1 => 'field_first_name',
        2 => 'field_last_name',
        3 => 'field_job_title',
        4 => 'field_phone',
        5 => 'field_room_and_building',
        6 => 'field_street_address',
        7 => 'field_user_photo',
        8 => 'field_display_on_contact_page',
        9 => 'field_contact_group',
        10 => 'field_display_in_leadership_list',
        11 => 'field_leadership_group',
      ),
      'footer' => array(
        12 => 'wysiwyg',
        13 => 'timezone',
        14 => 'field_bio',
      ),
      'hidden' => array(
        15 => '_add_existing_field',
      ),
    ),
    'fields' => array(
      'account' => 'left',
      'field_first_name' => 'right',
      'field_last_name' => 'right',
      'field_job_title' => 'right',
      'field_phone' => 'right',
      'field_room_and_building' => 'right',
      'field_street_address' => 'right',
      'field_user_photo' => 'right',
      'field_display_on_contact_page' => 'right',
      'field_contact_group' => 'right',
      'field_display_in_leadership_list' => 'right',
      'field_leadership_group' => 'right',
      'wysiwyg' => 'footer',
      'timezone' => 'footer',
      'field_bio' => 'footer',
      '_add_existing_field' => 'hidden',
    ),
    'classes' => array(),
    'wrappers' => array(
      'header' => 'div',
      'left' => 'div',
      'right' => 'div',
      'footer' => 'div',
      'ds_hidden' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['user|user|form'] = $ds_layout;

  return $export;
}
